# SimpleRobotRules.RobotRule (Crawler-commons 0.6-SNAPSHOT API)
Date: 2015-05-26

crawlercommons.robots

## Class SimpleRobotRules.RobotRule

- java.lang.Object
- - crawlercommons.robots.SimpleRobotRules.RobotRule

All Implemented Interfaces:
  Serializable, Comparable<SimpleRobotRules.RobotRule>

Enclosing class:
  SimpleRobotRules

    protected class SimpleRobotRules.RobotRule
    extends Object
    implements Comparable<SimpleRobotRules.RobotRule>, Serializable

Single rule that maps from a path prefix to an allow flag.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SimpleRobotRules.RobotRule(String prefix, boolean allow)`

### Method Summary

Methods
`int` `compareTo(SimpleRobotRules.RobotRule o)`
`boolean` `equals(Object obj)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleRobotRules.RobotRule

    public SimpleRobotRules.RobotRule(String prefix,
                              boolean allow)

### Method Detail

#### compareTo

    public int compareTo(SimpleRobotRules.RobotRule o)

Specified by:
  `compareTo` in interface `Comparable<SimpleRobotRules.RobotRule>`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`